using System.Collections.Generic;

namespace GestionIntegral.Api.Dtos.Reportes
{
    public class ReporteDistribucionCanillasResponseDto
    {
        public IEnumerable<DetalleDistribucionCanillaDto> Canillas { get; set; } = new List<DetalleDistribucionCanillaDto>();
        public IEnumerable<DetalleDistribucionCanillaDto> CanillasAccionistas { get; set; } = new List<DetalleDistribucionCanillaDto>();
        public IEnumerable<DetalleDistribucionCanillaAllDto> CanillasTodos { get; set; } = new List<DetalleDistribucionCanillaAllDto>();
        public IEnumerable<DetalleDistribucionCanillaDto> CanillasLiquidadasOtraFecha { get; set; } = new List<DetalleDistribucionCanillaDto>();
        public IEnumerable<DetalleDistribucionCanillaDto> CanillasAccionistasLiquidadasOtraFecha { get; set; } = new List<DetalleDistribucionCanillaDto>();
        public IEnumerable<ObtenerCtrlDevolucionesDto> ControlDevolucionesRemitos { get; set; } = new List<ObtenerCtrlDevolucionesDto>();
        public IEnumerable<ControlDevolucionesReporteDto> ControlDevolucionesDetalle { get; set; } = new List<ControlDevolucionesReporteDto>();
        public IEnumerable<DevueltosOtrosDiasDto> ControlDevolucionesOtrosDias { get; set; } = new List<DevueltosOtrosDiasDto>();
    }
}